# patch

## Overview

This endpoint is used for updating information about a version.

## HTTP Request

```http
GET /api/v1/datasets/:datasetReference/versions/:tag|"current"|"next"
```

## Path parameters

| Parameter        |                                                                                                                                                                                                                                 |
| ---------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| datasetReference | A qualified reference to the dataset. See [referencing resources](https://docs.redivis.com/api/referencing-resources) for more information.                                                                                     |
| tag              | <p>The version's tag, of the form <code>v1.0</code></p><p></p><p>Alternatively, you may specify <code>current</code> or <code>next</code> , which will return the current (latest) or next (pending) version, respectively.</p> |

{% hint style="info" %}
This endpoint extends the [general API structure](https://docs.redivis.com/api/rest-api/general-structure).
{% endhint %}

## Request body

Provide a JSON object with version fields to update.

| Property name    | Type       | Description                                          |
| ---------------- | ---------- | ---------------------------------------------------- |
| **label**        | **string** | A user-provided label for the version.               |
| **releaseNotes** | **string** | Version release notes. May be up to 5000 characters. |

## Authorization

Edit access to the corresponding dataset is required. Your access token must have the following scope:

* data.edit

[Learn more about authorization.](https://docs.redivis.com/api/rest-api/authorization)

## Response body

Returns a JSON representation of a [version.get resource](https://docs.redivis.com/api/resource-definitions/version).
